Loading...
Searching...
No Matches
etl::reference_counted_object< TObject, TCounter > Class Template Reference

`#include <reference_counted_object.h>`

## Public Types

typedef TObject | value_type
typedef TCounter | counter_type

## Public Member Functions

| reference_counted_object ()
| Constructor.
| reference_counted_object (const TObject &object_)
| Constructor.
ETL_NODISCARD value_type & | get_object ()
| Get a reference to the counted object.
ETL_NODISCARD const value_type & | get_object () const
| Get a const reference to the counted object.
virtual ETL_NODISCARD ireference_counter & | get_reference_counter () ETL_OVERRIDE
| Get a reference to the reference counter.
virtual ETL_NODISCARD const ireference_counter & | get_reference_counter () const ETL_OVERRIDE
| Get a const reference to the reference counter.

## Detailed Description

template<typename TObject, typename TCounter>
class etl::reference_counted_object< TObject, TCounter >

Class for creating reference counted objects.

Template Parameters

  TObject | The type to be reference counted.
  TCounter | The type to use as the counter.

## Member Function Documentation

## get_reference_counter() [1/2]

template<typename TObject, typename TCounter>

virtual ETL_NODISCARD const ireference_counter & etl::reference_counted_object< TObject, TCounter >::get_reference_counter | ( |  | ) | const

inline virtual

Get a const reference to the reference counter.

Implements etl::ireference_counted_object.

## get_reference_counter() [2/2]

template<typename TObject, typename TCounter>

virtual ETL_NODISCARD ireference_counter & etl::reference_counted_object< TObject, TCounter >::get_reference_counter | ( |  | ) |

inline virtual

Get a reference to the reference counter.

Implements etl::ireference_counted_object.

The documentation for this class was generated from the following file:

- include/etl/reference_counted_object.h